# IAX2FullFrameSessionControl Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameSessionControl:

[legend]
Collaboration diagram for IAX2FullFrameSessionControl:
[legend]

## Public Types

| hangup = 1
| ring = 2
| ringing = 3
| answer = 4
| busy = 5
| tkoffhk = 6
| offhook = 7
| congestion = 8
| flashhook = 9
| wink = 10
| option = 11
| keyRadio = 12
| unkeyRadio = 13
| callProgress = 14
| callProceeding = 15
| callOnHold = 16
| callHoldRelease = 17
| stopSounds = 255
enum | SessionSc { hangup = 1, ring = 2, ringing = 3, answer = 4, busy = 5, tkoffhk = 6, offhook = 7, congestion = 8, flashhook = 9, wink = 10, option = 11, keyRadio = 12, unkeyRadio = 13, callProgress = 14, callProceeding = 15, callOnHold = 16, callHoldRelease = 17, stopSounds = 255 }

## Public Member Functions

| IAX2FullFrameSessionControl (const IAX2Frame &srcFrame)
| IAX2FullFrameSessionControl (const IAX2FullFrame &srcFrame)
| IAX2FullFrameSessionControl (IAX2Processor *processor, PINDEX subClassValue)
| IAX2FullFrameSessionControl (IAX2Processor *processor, SessionSc subClassValue)
virtual | ~IAX2FullFrameSessionControl ()
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Used for sending Control Frames. These are used to manipulate the session.

Asterisk calls these AST_FRAME_CONTROLs

No data is carried in the data section

## Member Enumeration Documentation

enum IAX2FullFrameSessionControl::SessionSc

enum comtaining the possible subclass value for these Session Control frames

Enumerator:

  hangup | Other end has hungup
  ring | Local ring
  ringing | Remote end is ringing
  answer | Remote end has answered
  busy | Remote end is busy
  tkoffhk | Make it go off hook
  offhook | Line is off hook
  congestion | Congestion (circuits busy)
  flashhook | Flash hook
  wink | Wink
  option | Set a low-level option
  keyRadio | Key Radio
  unkeyRadio | Un-Key Radio
  callProgress | Indicate PROGRESS
  callProceeding | Indicate CALL PROCEEDING
  callOnHold | Call has been placed on hold
  callHoldRelease | Call is no longer on hold
  stopSounds | Indicates the transition from ringback to bidirectional audio

## Constructor & Destructor Documentation

IAX2FullFrameSessionControl::IAX2FullFrameSessionControl | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameSessionControl::IAX2FullFrameSessionControl | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameSessionControl::IAX2FullFrameSessionControl | ( | IAX2Processor * | processor,
|  | PINDEX | subClassValue |
| ) |  |  |

Construction from a Connection class. Classes generated from this are then on sent to a remote endpoint.

Parameters:

  processor | Iax Processor from which this frame originates
  subClassValue | IAX protocol command for remote end to process

IAX2FullFrameSessionControl::IAX2FullFrameSessionControl | ( | IAX2Processor * | processor,
|  | SessionSc | subClassValue |
| ) |  |  |

Construction from a Connection class. Classes generated from this are then on sent to a remote endpoint.

Parameters:

  processor | Iax Processor from which this frame originates
  subClassValue | IAX protocol command for remote end to process

virtual IAX2FullFrameSessionControl::~IAX2FullFrameSessionControl | ( |  | ) | `[inline, virtual]`

Declare an empty destructor

## Member Function Documentation

virtual BYTE IAX2FullFrameSessionControl::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the IAX2FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameSessionControl::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h